BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Security.CodeAccessPermission System.Security.Permissions.IBuiltInPermission System.Security.Permissions.IUnrestrictedPermission System.Runtime.InteropServices.ComVisible(true)

This permission uses the enumeration. The values for this enumeration can be found in its documentation.

Describes a set of security permissions applied to code. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  is not a valid value.

  Creates either fully restricted (None) or Unrestricted access to all security permissions.

  Initializes a new instance of the class with either restricted or unrestricted permission as specified.

  One of the values.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.
  is not a valid value.

  Initializes a new instance of the class with the specified initial set state of the flags.

  The initial state of the permission, represented by a bitwise OR combination of any permission bits defined by .
  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of a permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of the current permission.

  A copy of the current permission.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag To be added.

  Individual permission bits can be determined by performing an AND operation against this value and checking for nonzero.

  Gets or sets the security permission flags.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The state of the current instance is changed to the state encoded in .

  For the XML encoding for this class, see the class page.

  This method overrides .

  is .

  does not contain the encoding for a instance.

  The version number of is not valid.

  Reconstructs a permission with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the permission. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` is not and is not of type .

  The intersection of two permissions is a permission that describes the state that they both describe in common. Only a demand that passes both original permissions will pass the intersection.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  A new permission object that represents the intersection of the current permission and the specified permission. This new permission is null if the intersection is empty.

  A permission to intersect with the current permission. It must be of the same type as the current permission. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` is not and is not of type .

  The current permission is a subset of the specified permission if the current permission specifies a set of operations that is wholly contained by the specified permission. For example, a permission that represents access to C:\example.txt is a subset of a permission that represents access to C:\. If this method returns true, the current permission represents no more access to the protected resource than does the specified permission.

  Determines whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  A permission that is to be tested for the subset relationship. This permission must be of the same type as the current permission. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  An unrestricted permission represents access to any and all resources protected by the permission.

  Returns a value indicating whether the current permission is unrestricted.

  true if the current permission is unrestricted; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  For the XML encoding for this class, see the class page.

  This method overrides .

  Creates an XML encoding of the permission and its current state.

  An XML encoding of the permission, including any state information.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` is not and is not of type .

  The result of a call to is a permission that represents all the operations represented by both the current permission and the specified permission. Any demand that passes either permission passes their union.

  Creates a permission that is the union of the current permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission. It must be of the same type as the current permission. 0
0